Monday, August 13, 2012

API v1 dropped today

As announced one month ago, we are dropping SUSE Studio's API v1 today. API v2, which has been available for over a year, is now the only supported API version.

The API v2 is mostly an extension (a superset) of v1 so almost all code that worked with v1 should work with v2 without any modification. The only important incompatibility between v1 and v2 is that HTTP status error codes returned in certain situations may be different (v2 is more consistent in this regard). In most cases, the only change in your code will be replacing the URL prefix by

If you encounter any problems using the newer API version, have a look at the API documentation. If that does not help, you can ask on our forum (linked with a mailing list) and we will try to help.

No comments:

Post a Comment

© 2013 SUSE